Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats Class Reference

## Public Attributes
int | uid
int | delay
int | e2eDelay
int | width
int | height
int | receivedBitrate
int | decoderOutputFrameRate
int | rendererOutputFrameRate
int | frameLossRate
int | packetLossRate
int | rxStreamType
int | totalFrozenTime
int | frozenRate
int | avSyncTimeMs
long | totalActiveTime
long | publishDuration
int | mosValue
int | rxVideoBytes

## Detailed Description

Statistics of the remote video.

## Member Data Documentation

## ◆ uid

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.uid

User ID of the remote user sending the video streams.

## ◆ delay

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.delay

DEPRECATED Time delay (ms).

## ◆ e2eDelay

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.e2eDelay

End-to-end delay from video capturer to video renderer. Hardware capture or render delay is excluded.

## ◆ width

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.width

Width (pixels) of the video stream.

## ◆ height

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.height

Height (pixels) of the video stream.

## ◆ receivedBitrate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.receivedBitrate

Bitrate (Kbps) received since the last count.

## ◆ decoderOutputFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.decoderOutputFrameRate

The decoder output frame rate (fps) of the remote video.

## ◆ rendererOutputFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.rendererOutputFrameRate

The render output frame rate (fps) of the remote video.

## ◆ frameLossRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.frameLossRate

The video frame loss rate (%) of the remote video stream in the reported interval.

## ◆ packetLossRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.packetLossRate

Packet loss rate (%) of the remote video stream after using the anti-packet-loss method.

## ◆ rxStreamType

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.rxStreamType

Remote video stream type

## ◆ totalFrozenTime

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.totalFrozenTime

The total freeze time (ms) of the remote video stream after the remote user joins the channel. In a video session where the frame rate is set to no less than 5 fps, video freeze occurs when the time interval between two adjacent renderable video frames is more than 500 ms.

## ◆ frozenRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.frozenRate

The total video freeze time as a percentage (%) of the total time when the video is available.

## ◆ avSyncTimeMs

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.avSyncTimeMs

The offset (ms) between audio and video stream. A positive value indicates the audio leads the video, and a negative value indicates the audio lags the video.

## ◆ totalActiveTime

long io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.totalActiveTime

The total time (ms) when the remote user neither stops sending the video stream nor disables the video module after joining the channel.

## ◆ publishDuration

long io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.publishDuration

The total publish duration (ms) of the remote video stream.

## ◆ mosValue

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.mosValue

The quality of the remote video stream in the reported interval. The quality is determined by the Agora real-time video MOS (Mean Opinion Score) measurement method. The return value range is [0, 500]. Dividing the return value by 100 gets the MOS score, which ranges from 0 to 5. The higher the score, the better the video quality.

Note
  For textured video data, this parameter always returns 0.

## ◆ rxVideoBytes

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.rxVideoBytes

Total number of video bytes received (bytes), represented by an aggregate value.